Skip to main content
POST
/
action
/
hubspot.v2.create_object
Create HubSpot Object
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/hubspot.v2.create_object \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object_type": "<string>",
  "properties": "<string>",
  "output_variable_name": "created_object",
  "associations": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
object_type
string
required
properties
string
required
output_variable_name
string
default:created_object
required

Variable name to store the created object.

associations
string

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action